Save legal document
curl --request PUT \
--url https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"title": "<string>",
"text": "<string>"
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}"
payload = {
"enabled": True,
"title": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, title: '<string>', text: '<string>'})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'title' => '<string>',
'text' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}"
payload := strings.NewReader("{\n \"enabled\": true,\n \"title\": \"<string>\",\n \"text\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"title\": \"<string>\",\n \"text\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"title\": \"<string>\",\n \"text\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email": {
"sender_name": "<string>",
"effective_sender_name": "<string>",
"reply_to": "<string>",
"signature": "<string>",
"button_color": "<string>",
"zenedu_branding": true,
"logo_url": "<string>"
},
"branding": {
"zenedu_branding": true,
"theme": "system",
"button_color": "<string>"
},
"integrations": {
"meta_pixel_id": "<string>",
"meta_capi_token_hint": "<string>",
"google_analytics_id": "<string>",
"google_tag_manager_id": "<string>",
"google_sheets": {
"connected": true,
"email": "<string>",
"requires_reauth": true,
"spreadsheets": [
{
"id": 123,
"spreadsheet_id": "<string>",
"name": "<string>"
}
]
}
},
"legal": [
{
"type": "privacy",
"enabled": true,
"title": "<string>",
"text": "<string>"
}
]
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Налаштування бота
Зберегти юридичний документ
Створює або оновлює політику конфіденційності чи умови використання
PUT
/
api
/
v1
/
bot
/
{bot}
/
settings
/
legal
/
{type}
Save legal document
curl --request PUT \
--url https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"title": "<string>",
"text": "<string>"
}
'import requests
url = "https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}"
payload = {
"enabled": True,
"title": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, title: '<string>', text: '<string>'})
};
fetch('https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'title' => '<string>',
'text' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}"
payload := strings.NewReader("{\n \"enabled\": true,\n \"title\": \"<string>\",\n \"text\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"title\": \"<string>\",\n \"text\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.zenedu.io/api/v1/bot/{bot}/settings/legal/{type}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"title\": \"<string>\",\n \"text\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"email": {
"sender_name": "<string>",
"effective_sender_name": "<string>",
"reply_to": "<string>",
"signature": "<string>",
"button_color": "<string>",
"zenedu_branding": true,
"logo_url": "<string>"
},
"branding": {
"zenedu_branding": true,
"theme": "system",
"button_color": "<string>"
},
"integrations": {
"meta_pixel_id": "<string>",
"meta_capi_token_hint": "<string>",
"google_analytics_id": "<string>",
"google_tag_manager_id": "<string>",
"google_sheets": {
"connected": true,
"email": "<string>",
"requires_reauth": true,
"spreadsheets": [
{
"id": 123,
"spreadsheet_id": "<string>",
"name": "<string>"
}
]
}
},
"legal": [
{
"type": "privacy",
"enabled": true,
"title": "<string>",
"text": "<string>"
}
]
}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>",
"errors": {}
}Авторизації
API token from the Zenedu dashboard
Параметри шляху
Bot ID
Legal document type
Доступні опції:
privacy, terms Тіло
application/json
Відповідь
Updated bot settings
Show child attributes
Show child attributes